package exercises.ex_z4;

import java.util.Random;
import java.util.concurrent.ConcurrentLinkedQueue;
import java.util.concurrent.Semaphore;

public class AuctionMain {
    public static final String[] names = {
        "Sabrina", "José", "Patrick", "Salomé", "Lisa", "Alfred", "Annna", "Alex", "Kevin"
    };

    public static void main(String[] args) {
        Semaphore mutex = new Semaphore(1);
        ConcurrentLinkedQueue<Bid> bids = new ConcurrentLinkedQueue<>();
        Auctioneer auctioneer = new Auctioneer("Paul", bids, mutex);

        new Thread(auctioneer).start();

        for (int i = 0; i < names.length; i++) {
            new Thread(new Bidder(names[i])).start();
        }
    }
}
